- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

# node.hxx File Reference

Node class for Factory Method, used in xml::xml_converter::save(). More...

This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Namespaces
namespace | vcsn
namespace | vcsn::xml
## Functions
TParm void | process_semiring (xercesc::DOMElement *node, TRANStype &a, typename TRANStype::semiring_t &param, typename Node< TRANStype >::map_t &m, typename Node< TRANStype >::factory_t &f)

## Detailed Description

Node class for Factory Method, used in xml::xml_converter::save().

See also:
  xml::xml_converter, vcsn::Factory

Author:
  Louis-Noel Pouchet <louis-noel.pouchet@lrde.epita.fr>

Definition in file node.hxx.